- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- EntitiesInlineSource
Full name: projects.locations.instances.entities.import
Imports entities. Note that all entities need to be valid for the request to be successful. An error in one entity will cause the entire request to be rejected. Setting metadata.creation_timestamp on an entity is not supported.
HTTP request
POST https://{endpoint}/v1alpha/{parent}/entities:import
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent, which owns this collection of entities. |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
// The following is a list of mutually exclusive fields. At most one of the
// fields will be set in a response:
"inlineSource": {
object ( |
| Fields | |
|---|---|
| The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: | |
inlineSource |
Required. Entities to be imported are specified inline. |
| End of mutually exclusive fields. | |
Response body
If successful, the response body is empty.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chronicle
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
chronicle.entities.import
For more information, see the IAM documentation.
EntitiesInlineSource
An import source with the entities to import included inline.
| JSON representation |
|---|
{
"entities": [
{
object ( |
| Fields | |
|---|---|
entities[] |
Required. Specifies the entities being imported. Setting |
logType |
Required. The logtype of the log this entity is created from. |